# Gimp.param_spec_value_array

    function param_spec_value_array(name: String, nick: String, blurb: String, element_spec: GObject.ParamSpec, flags: GObject.ParamFlags): GObject.ParamSpec {
        // Gjs wrapper for gimp_param_spec_value_array()
    }

Creates a new Gimp.ParamSpecValueArray specifying a [type@GObject.ValueArray] property.

See g_param_spec_internal() for details on property names.

Since 3.0

name

  Canonical name of the property specified.

nick

  Nick name of the property specified.

blurb

  Description of the property specified.

element_spec

  GObject.ParamSpec the contained array's elements have comply to, or null.

flags

  Flags for the property specified.

Returns

  The newly created Gimp.ParamSpecValueArray.